The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

форумы  помощь  поиск  регистрация  майллист  ВХОД  слежка  RSS
"gcc3.2.3 и libstdc++ "
Вариант для распечатки Архивированная нить - только для чтения! 
Пред. тема | След. тема 
Форумы Программирование под UNIX (Public)
Изначальное сообщение [Проследить за развитием треда]

"gcc3.2.3 и libstdc++ "
Сообщение от alexhack emailИскать по авторуВ закладки on 05-Май-03, 12:26  (MSK)
собрал я значится для себя этого монстра и пакет rpm тоже типа собрал, для себя. Поставил. Про libstdc++ слышал, поэтому старый пакет libstdc++, а точнее его содержимое в системе оставил. И те программы, которые старый libstdc++ юзали работают. Но вот захотел я собрать gtkglext-0.99, собрал, все нормально без ошибок, но ни один пример не работает все вылетают в segmentation fault. При этом смотрю библиотеку командой ldd и вижу ссылку на старую библу libstdc++, как же так? почему ссылка не на новую версию. Может дело все в том, что библотека libGLU, на которую ссылается пакет gtkglext, тоже ссылался на старую версию libstdc++ и компилятор сообразил линковать со старой версией, а не с новой, тем более, что старая версия и новая не совместима. Что же мне теперь пересобирать X-ы, ставить новый RedHat или просить NVIDIA пересобрать свои дрова с использованием gcc3.2.3?

Может кто нить внятно объяснить какие траблы могут возникать из за этого или пришлите ссылки желательно на русскоязычные ресурсы, в английском я не шибко силен.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

 Оглавление

Индекс форумов | Темы | Пред. тема | След. тема
Сообщения по теме

1. "gcc3.2.3 и libstdc++ "
Сообщение от Max Zinal emailИскать по авторуВ закладки on 07-Май-03, 19:33  (MSK)
>не на новую версию. Может дело все в том, что библотека
>libGLU, на которую ссылается пакет gtkglext, тоже ссылался на старую версию
>libstdc++ и компилятор сообразил линковать со старой версией, а не с
>новой, тем более, что старая версия и новая не совместима. Что
>же мне теперь пересобирать X-ы, ставить новый RedHat или просить NVIDIA
>пересобрать свои дрова с использованием gcc3.2.3?

Не лечится. Две C++ные библиотеки, пытающиеся пользовать разные
версии libstdc++, в одном процессе не живут.

Иксы, между прочим, эту самую libstdc++ не пользуют.
Что такое libGLU, я, к сожалению, не знаю, но если оно пользует
старую libstdc++, то программы, использующие оную libGLU,
надо собирать тем же самым компилятором (той же его версией).
Се ля ви - у чистого C есть свои преимущества :).

  Рекомендовать в FAQ | Cообщить модератору | Наверх

2. "gcc3.2.3 и libstdc++ "
Сообщение от alexhack emailИскать по авторуВ закладки on 08-Май-03, 07:52  (MSK)
>старую libstdc++, то программы, использующие оную libGLU,
>надо собирать тем же самым компилятором (той же его версией).
>Се ля ви - у чистого C есть свои преимущества :).

Посему сижу в Gnome, чему и рад.

  Рекомендовать в FAQ | Cообщить модератору | Наверх

3. "gcc3.2.3 и libstdc++ "
Сообщение от alexhack emailИскать по авторуВ закладки on 08-Май-03, 07:55  (MSK)
>Что такое libGLU, я, к сожалению, не знаю, но если оно пользует

Идет в составе драйверов для видеокарт NVIDIA. Попробую поставить последнюю версию драйвера, возможно они перешли на новую версию libstdc++.

Да соберу для себя XFree 4.3.0


  Рекомендовать в FAQ | Cообщить модератору | Наверх


Удалить

Индекс форумов | Темы | Пред. тема | След. тема
Пожалуйста, прежде чем написать сообщение, ознакомьтесь с данными рекомендациями.




Спонсоры:
PostgresPro
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2022 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру